> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Integrations



## OpenAPI

````yaml GET /io.pocketenv.sandbox.getIntegrations
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.sandbox.getIntegrations:
    get:
      tags:
        - io.pocketenv.sandbox
      summary: Get the integrations for a sandbox.
      operationId: io.pocketenv.sandbox.getIntegrations
      parameters:
        - name: id
          in: query
          description: The sandbox ID.
          required: true
          schema:
            type: string
            description: The sandbox ID.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/io.pocketenv.sandbox.defs.integrationsView
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.sandbox.defs.integrationsView:
      type: array
      items:
        $ref: '#/components/schemas/io.pocketenv.sandbox.defs.integrationView'
    io.pocketenv.sandbox.defs.integrationView:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the integration.
        name:
          type: string
          description: The name of the integration, e.g. 'GitHub', 'Slack', 'Trello', etc.
        webhookUrl:
          type: string
          description: The webhook URL of the integration.
          format: uri
        createdAt:
          type: string
          description: The timestamp when the integration was created.
          format: date-time
        updatedAt:
          type: string
          description: The timestamp when the integration was last updated.
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````